.TH "rte_mtr_meter_profile" 3 "Version 25.11.0" "DPDK" \" -*- nroff -*-
.ad l
.nh
.SH NAME
rte_mtr_meter_profile
.SH SYNOPSIS
.br
.PP
.PP
\fR#include <rte_mtr\&.h>\fP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "enum \fBrte_mtr_algorithm\fP \fBalg\fP"
.br
.ti -1c
.RI "int \fBpacket_mode\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Meter profile 
.PP
Definition at line \fB128\fP of file \fBrte_mtr\&.h\fP\&.
.SH "Field Documentation"
.PP 
.SS "enum \fBrte_mtr_algorithm\fP alg"
Traffic metering algorithm\&. 
.PP
Definition at line \fB130\fP of file \fBrte_mtr\&.h\fP\&.
.SS "uint64_t cir"
Committed Information Rate (CIR) (bytes per second or packets per second)\&. 
.PP
Definition at line \fB139\fP of file \fBrte_mtr\&.h\fP\&.
.SS "uint64_t cbs"
Committed Burst Size (CBS) (bytes or packets)\&. 
.PP
Definition at line \fB142\fP of file \fBrte_mtr\&.h\fP\&.
.SS "uint64_t ebs"
Excess Burst Size (EBS) (bytes or packets)\&. 
.PP
Definition at line \fB145\fP of file \fBrte_mtr\&.h\fP\&.
.SS "struct  { \&.\&.\&. }  srtcm_rfc2697"
Items only valid when \fIalg\fP is set to srTCM - RFC 2697\&. 
.SS "uint64_t pir"
Peak Information Rate (PIR) (bytes per second or packets per second)\&. 
.PP
Definition at line \fB160\fP of file \fBrte_mtr\&.h\fP\&.
.SS "uint64_t pbs"
Peak Burst Size (PBS) (bytes or packets)\&. 
.PP
Definition at line \fB166\fP of file \fBrte_mtr\&.h\fP\&.
.SS "struct  { \&.\&.\&. }  trtcm_rfc2698"
Items only valid when \fIalg\fP is set to trTCM - RFC 2698\&. 
.SS "uint64_t eir"
Excess Information Rate (EIR) (bytes per second or packets per second)\&. 
.PP
Definition at line \fB181\fP of file \fBrte_mtr\&.h\fP\&.
.SS "struct  { \&.\&.\&. }  trtcm_rfc4115"
Items only valid when \fIalg\fP is set to trTCM - RFC 4115\&. 
.SS "int packet_mode"
When zero, the byte mode is enabled for the current profile, so the \fIrate\fP and \fIsize\fP fields are specified in bytes per second and bytes, respectively\&. When non-zero, the packet mode is enabled for the current profile, so the \fIrate\fP and \fIsize\fP fields are specified in packets per second and packets, respectively\&. 
.PP
Definition at line \fB199\fP of file \fBrte_mtr\&.h\fP\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for DPDK from the source code\&.
